<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shanghaichengdi.ghjgitem.mapper.BoatWaterPollutantWarningSMapper">

    <resultMap id="BaseResultMap" type="com.shanghaichengdi.ghjgitem.domain.BoatWaterPollutantWarningS">
            <id property="code" column="CODE" jdbcType="VARCHAR"/>
            <result property="boatname" column="BOATNAME" jdbcType="VARCHAR"/>
            <result property="mmsi" column="MMSI" jdbcType="VARCHAR"/>
            <result property="type" column="TYPE" jdbcType="VARCHAR"/>
            <result property="warningtime" column="WARNINGTIME" jdbcType="TIMESTAMP"/>
            <result property="reportcode" column="REPORTCODE" jdbcType="VARCHAR"/>
            <result property="relievetime" column="RELIEVETIME" jdbcType="TIMESTAMP"/>
            <result property="warningstate" column="WARNINGSTATE" jdbcType="DECIMAL"/>
            <result property="isread" column="ISREAD" jdbcType="DECIMAL"/>
            <result property="district" column="DISTRICT" jdbcType="VARCHAR"/>
            <result property="berthname" column="BERTHNAME" jdbcType="VARCHAR"/>
            <result property="starttime" column="STARTTIME" jdbcType="TIMESTAMP"/>
            <result property="disposestate" column="DISPOSESTATE" jdbcType="DECIMAL"/>
            <result property="disposetime" column="DISPOSETIME" jdbcType="TIMESTAMP"/>
            <result property="disposecontent" column="DISPOSECONTENT" jdbcType="VARCHAR"/>
            <result property="disposestaff1" column="DISPOSESTAFF1" jdbcType="VARCHAR"/>
            <result property="disposestaff2" column="DISPOSESTAFF2" jdbcType="VARCHAR"/>
            <result property="checkstaff" column="CHECKSTAFF" jdbcType="VARCHAR"/>
            <result property="deleteflag" column="DELETEFLAG" jdbcType="DECIMAL"/>
            <result property="relievetype" column="RELIEVETYPE" jdbcType="DECIMAL"/>
            <result property="couponnumber" column="COUPONNUMBER" jdbcType="VARCHAR"/>
            <result property="sendmsg" column="SENDMSG" jdbcType="DECIMAL"/>
            <result property="filterstate" column="FILTERSTATE" jdbcType="DECIMAL"/>
            <result property="filterdes" column="FILTERDES" jdbcType="VARCHAR"/>
            <result property="filtertime" column="FILTERTIME" jdbcType="TIMESTAMP"/>
            <result property="filterpushdate" column="FILTERPUSHDATE" jdbcType="TIMESTAMP"/>
            <result property="warncount" column="WARNCOUNT" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        CODE,BOATNAME,MMSI,
        TYPE,WARNINGTIME,REPORTCODE,
        RELIEVETIME,WARNINGSTATE,ISREAD,
        DISTRICT,BERTHNAME,STARTTIME,
        DISPOSESTATE,DISPOSETIME,DISPOSECONTENT,
        DISPOSESTAFF1,DISPOSESTAFF2,CHECKSTAFF,
        DELETEFLAG,RELIEVETYPE,COUPONNUMBER,
        SENDMSG,FILTERSTATE,FILTERDES,
        FILTERTIME,FILTERPUSHDATE,WARNCOUNT
    </sql>
</mapper>
